blacs-mpi (1.1-40+rpi1) buster-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 03 May 2018 14:58:43 +0000

blacs-mpi (1.1-40) unstable; urgency=medium

  * Team upload.
  * update debian/control: +powerpcspe -mips64 -sparc

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Jun 2017 13:20:40 +0800

blacs-mpi (1.1-39) unstable; urgency=medium

  * Team upload.
  * Now team-maintained by Debian Science.
  * Update list of OpenMPI arches
    (in line with /usr/share/mpi-default-dev/debian_defaults):
    - add powerpcspe
    - remove mips64, sparc
    - Closes: #850779.
  * Use multiarch lib directories. Closes: #722755.
  * Source format 3.0 (quilt).
  * debian/compat 9
  * Standards-Version: 3.9.8
  * VCS (git repository) now at
    https://anonscm.debian.org/cgit/debian-science/packages/blacs-mpi.git/

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Jun 2017 12:43:48 +0800

blacs-mpi (1.1-38) unstable; urgency=medium

  * /usr/lib/openmpi path in debian/blacs-mpi-implementations.patch  was
    replaced with the correct triplet path. Thanks to Gilles Filippini for
    providing a patch (Closes: #848813)

 -- Muammar El Khatib <muammar@debian.org>  Sat, 25 Mar 2017 13:10:54 -0400

blacs-mpi (1.1-37) unstable; urgency=medium

  * This revision is not running tests for i386, alpha, sh4. This avoids them
    to FTBFS because of this error: `Build killed with signal TERM after 150
    minutes of inactivity`.

 -- Muammar El Khatib <muammar@debian.org>  Wed, 24 Aug 2016 17:33:47 +0200

blacs-mpi (1.1-36) unstable; urgency=medium

  * Missing separator added in debian/rules making the package FTBFS in some
    architectures.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 20 Aug 2016 19:09:24 +0200

blacs-mpi (1.1-35) unstable; urgency=medium

  * Added a conditional in debian/rules for some architectures suffering from
    `Build killed with signal TERM after 150 minutes of inactivity`.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 20 Aug 2016 18:15:15 +0200

blacs-mpi (1.1-34) unstable; urgency=medium

  * hppa architecture has been switched from mpich to openmpi (Closes:
    #834181).
  * "build-arch" and "build-indep" targets addedin debian/rules. Thanks to
    Santiago Vila  for providing a patch (Closes: #821968).
  * Now the package runs testsuite. Thanks to Michael Banck for providing
    a patch (Closes: #816347, #813551).

 -- Muammar El Khatib <muammar@debian.org>  Mon, 15 Aug 2016 14:41:06 +0200

blacs-mpi (1.1-33.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Update the list of MPI architectures:
    + switch s390x from mpich to OpenMPI.
    + switch sparc64 from mpich to OpenMPI.
    + add x32 to OpenMPI.
    + add sh4 to mpich.
    + drop powerpcspe.
    + Closes: #814150

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 10 Feb 2016 17:47:00 +0000

blacs-mpi (1.1-33.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use `pkg-config mpi-fort --libs` rather than hard-coded libs for
    openmpi.  Patch from Alastair McKinstry <mckinstry@debian.org>.
    Closes: #813490

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 03 Feb 2016 08:44:20 +0000

blacs-mpi (1.1-33.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Link the mpich based library against the libmpich and libmpichfort.
    Closes: #811229.
  * Remove ppc64 from the list of mpich architectures.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 19:33:39 +0100

blacs-mpi (1.1-33) unstable; urgency=medium

  * Moving arm64 from MPICH_ARCHS to OPENMPI_ARCHS. In this way, the package
    builds correctly in arm64. Thanks to Edmund Grimley Evans. (Closes: #765328)

 -- Muammar El Khatib <muammar@debian.org>  Fri, 17 Oct 2014 10:12:28 +0200

blacs-mpi (1.1-32) unstable; urgency=medium

  * mips64 and mips64el were marked as openmpi archs. (Closes: #761946)

 -- Muammar El Khatib <muammar@debian.org>  Tue, 23 Sep 2014 14:42:00 +0200

blacs-mpi (1.1-31.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add arm64, ppc64 and ppc64el to the openmpi architectures.
  * Build OpenMPI with -DUseMpi2. Closes: #714583.
  * debian/rules: declare library dependencies correctly. Closes: #660214.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Aug 2014 22:57:32 +0200

blacs-mpi (1.1-31.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop transitional package libblacs-mpi1: it breaks reverse
    dependencies on mpich archs, because of the mpich2->mpich transition.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 23 Apr 2014 14:33:08 +0200

blacs-mpi (1.1-31.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No longer silently change the SONAME of the MPI blacs shared
    library when the default MPI implementation changes on a given arch.
    (Closes: #740764)
    + Create two new binary packages libblacs-openmpi1 and
      libblacs-mpich1, corresponding to the two possible SONAMES.
    + The architecture list for each binary package is stored in debian/rules,
      and debian/control is now generated from debian/control.in by the clean
      rule.
    + Keep a transitional package for libblacs-mpi1.
    + Make sure that the package FTBFS if the default MPI implementation
      changes on a given arch (instead of silently changing the SONAME or
      creating an empty package).

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 03 Apr 2014 16:31:07 +0200

blacs-mpi (1.1-31.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Support MPICH3 which is now simply called MPICH. (Closes: #731225)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 22 Dec 2013 13:25:27 +0000

blacs-mpi (1.1-31) unstable; urgency=low

  * Rebuilding with mpi-default-dev >=1.0 (Closes: #652312)

 -- Muammar El Khatib <muammar@debian.org>  Fri, 23 Dec 2011 20:40:53 +0100

blacs-mpi (1.1-30.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add support for ARCH_DEFAULT_MPI_IMPL from mpi-default-dev.
  * Add support for MPICH2.  Rename debian/blacs-openmpi.patch to the more
    general blacs-mpi-implementations.patch.  (Closes: #626336)

 -- Nicholas Breen <nbreen@ofb.net>  Mon, 15 Aug 2011 20:29:30 -0700

blacs-mpi (1.1-30) unstable; urgency=low

  * blacs-mpi source does not Build-Depends on libopenmpi-dev anymore. With
    this change it is possible to prevent BLACS from building on architectures
    without OpenMPI such as: armel, hppa, mips[el] and s390. (Closes: #620393).
  * Thanks to Adam C Powell IV for reporting this bug, and providing a patch.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 02 Apr 2011 14:42:54 +0200

blacs-mpi (1.1-29) unstable; urgency=low

  * Fixed FTBFS because of a dpkg-shlibdeps error that was not able to find
    the library libmpi_f77.so.0. (Closes: #614528)
  * Maintainer's mail has been changed.
  * Bump Standards-Version to 3.9.1. No changes were needed.
  * Moved to debhelper 7.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 27 Mar 2011 14:57:41 +0200

blacs-mpi (1.1-28.2) unstable; urgency=low

  * NMU as authorized by maintainer.
  * Fixed shared library symlinks broken by -28.1.
  * Added sections to libblacs-mpi-dev, blacs-mpi-test and blacs-test-common.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 04 May 2009 19:14:02 -0400

blacs-mpi (1.1-28.1) unstable; urgency=low

  * NMU as authorized by maintainer.
  * Changed to build against mpi-default-dev. (Closes: #491105)
  * Replaced two sets of shlib, -dev and -test packages with just one.
  * Changed binary package names to generic mpi and to comply with policy
    i.e. libblacs-mpi1 and libblacs-mpi-dev.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 27 Apr 2009 14:36:28 -0400

blacs-mpi (1.1-28) unstable; urgency=low

  * The package now Build-Depends on Gfortran.
  * Homepage was moved from blacs-mpi's description to control tag.
  * Bump Standards-Version to 3.7.3
  * Bug 'FTBFS: btprim_MPI.f:(.text+0x56): undefined reference to
    `mpi_type_size__' has been fixed in this revision. (Closes: #465638)
  * Bug 'blacs-mpi -- Please rebuild with gfortran and new lam, mpich' has
    been fixed in this revision. Thanks to Kumar Appaiah for providing a
    patch. (Closes: #465366)

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sat, 16 Feb 2008 11:21:29 -0430

blacs-mpi (1.1-27) unstable; urgency=low

  * New maintainer. Closes: #335008
  * Bumped standards version to 3.7.2
  * Updated build dependency to debhelper >= 4.

 -- Muammar El Khatib <muammarelkhatib@gmail.com>  Sun,  3 Sep 2006 18:48:15 +0000

blacs-mpi (1.1-26) unstable; urgency=low

  * Upgraded build dependency for lam

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Sat,  3 Sep 2005 14:04:19 +0200

blacs-mpi (1.1-25) unstable; urgency=low

  * Recompile for C++ transitioned mpich (changed build dependecies).
    Closes: #325808

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Wed, 31 Aug 2005 23:04:37 +0200

blacs-mpi (1.1-24) unstable; urgency=low

  * Removed cyclic dependency according to
    http://debian.semistable.com/debgraph.out
    by removing depends line in blacs-test-common

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Tue, 12 Jul 2005 22:51:44 +0200

blacs-mpi (1.1-23) unstable; urgency=low

  * Reverted changes in last version as Bug #280789 was in MPICH and
    is fixed by version 1.2.5.3-1.1 of mpich. Adapted build-depends to
    reflect this.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Wed,  8 Dec 2004 21:53:36 +0100

blacs-mpi (1.1-22) unstable; urgency=low

  * Recompiled with updated MPICH, adapted Bmake.inc. Closes: #280789

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Thu, 11 Nov 2004 22:41:30 +0100

blacs-mpi (1.1-21) unstable; urgency=low

  * Removed explicit linking against libutil for LAM as liblam is now linked
    against it. Version build depends against lam4-dev because of this
    and other linking problems (libpthread).

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Thu, 19 Feb 2004 09:34:16 +0100

blacs-mpi (1.1-20) unstable; urgency=low

  * Recompile again with corrected rules file.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Mon,  9 Feb 2004 14:21:20 +0100

blacs-mpi (1.1-19) unstable; urgency=low

  * Recompile with correct dependency for blacs1-lam.
    Closes: #229938

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Sun,  1 Feb 2004 14:59:14 +0100

blacs-mpi (1.1-18) unstable; urgency=low

  * Rebuilt against lam4 (upgraded build depends)

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Sat, 24 Jan 2004 17:55:32 +0100

blacs-mpi (1.1-17) unstable; urgency=low

  * Changed package description. Closes: #209502, #20943, #209464, #209442
  * Bumped standards version to 3.6.1
  * Added -lutil to LAM linking (already in earlier versions). Closes: #187842
  * Dynamically link against MPICH.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Wed, 17 Sep 2003 14:07:19 +0200

blacs-mpi (1.1-16) unstable; urgency=low

  * Recompiled with new MPI library path settings and some other fixes
    to the build process. Closes: #189684
  * Bumped standards version to 3.5.9

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Tue, 22 Apr 2003 14:36:35 +0200

blacs-mpi (1.1-15) unstable; urgency=low

  * Changed section of blacs1-mpich and blacs1-lam from devel to libs
    and added some depends.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Fri,  3 Aug 2001 15:57:15 +0000

blacs-mpi (1.1-14) unstable; urgency=low

  * Recompile against new lam 6.5.3 (in the lam3 and lam3-dev packages)
    which is binary incompatible with the previous lam 6.5.2 (lam2).
    Added a blacs1-lam.shlibs file to reflect this incompatibility.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Mon, 23 Jul 2001 06:31:29 +0000

blacs-mpi (1.1-13) unstable; urgency=low

  * Forgot to close this bug in the last release: Closes: #70305
  * Changes for new mpich version. Closes: #71067

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Fri,  8 Sep 2000 10:46:45 +0200

blacs-mpi (1.1-12) unstable; urgency=low

  * Added Build-Depends. Closes: #66541, #70933
  * Standards-Version: 3.2.1

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Wed,  6 Sep 2000 09:59:48 +0200

blacs-mpi (1.1-11) frozen unstable; urgency=medium

  * Corrected dependencies (which were plain wrong: blacs-lam-test depended
    on blacs1-mpich). No other changes.
    Release Manager: this should go into frozen since before, it was not
    possible to install the mpich and lam versions of blacs independently.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Tue, 11 Jul 2000 09:04:30 +0200

blacs-mpi (1.1-10) frozen unstable; urgency=medium

  * Changed recommendation of blacs-lam-test from scalapack1-lam-test
    to scalapack-lam-test. Closes: #62862
  * Removed all recommendations and suggestions since I have problems
    with scalapack. Closes: #63466, #63467, #63468, #63469, #63470

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Sat,  6 May 2000 07:35:28 +0200

blacs-mpi (1.1-9) frozen; urgency=low

  * Recompiled on potato.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Sat, 22 Apr 2000 16:52:24 +0200

blacs-mpi (1.1-8) unstable; urgency=low

  * Added a binary-arch target to rules which was missing before.
    Closes: #52843.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Thu, 16 Dec 1999 16:38:02 +0100

blacs-mpi (1.1-7) unstable; urgency=low

  * Deleted creation of TESTING/EXE to build targets which I forgot
    for -6. Thanks to Roman Hodek. This should really Closes: #51932.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Tue,  7 Dec 1999 15:06:14 +0100

blacs-mpi (1.1-6) unstable; urgency=low

  * Moved creation of TESTING/EXE to build targets in debian/rules.
    Closes: #51632.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Tue, 30 Nov 1999 16:45:20 +0100

blacs-mpi (1.1-5) unstable; urgency=low

  * Recompilation because of broken .dsc file. Closes: #50509
  * Added creation of TESTING/EXE to rules.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Thu, 18 Nov 1999 11:57:13 +0100

blacs-mpi (1.1-4) unstable; urgency=low

  * Now build packages for LAM and MPICH, can be installed together!
  * Compile shared libraries too; new package libblacs1-{mpich,lam} with
    these included. libblacs-{mpich,lam}-{dev,test} are also new
    (links and static libs). libblacs-test-common includes some data files
    needed for the testing applications.
    Thanks to Camm Maguire <camm@enhanced.com>
  * Applied mpiblacs-patch02.tgz from http://www.netlib.org/blacs/.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Mon, 11 Oct 1999 12:55:19 +0200

blacs-mpi (1.1-3) unstable; urgency=low

  * Changed priority from optional to extra to stay in sync with blacs-pvm.
  * Bumped standards version to 3.0.1.
  * Moved to debhelper v2.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Thu, 19 Aug 1999 11:43:26 +0200

blacs-mpi (1.1-2) unstable; urgency=low

  * Changed path in Bmake.inc, closes #37402
  * Changed binary-arch and binary-indep in debian/rules, closes
    #37403 (which is against blacs-pvm but applies here too)

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Mon, 10 May 1999 18:37:11 +0200

blacs-mpi (1.1-1) unstable; urgency=low

  * Initial release.

 -- Philipp Frauenfelder <pfrauenf@debian.org>  Sat, 24 Apr 1999 11:29:51 +0200
